# ShopOpenEvent (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.event

## Class ShopOpenEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - de.epiceric.shopchest.event.ShopEvent
    - - de.epiceric.shopchest.event.ShopOpenEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class ShopOpenEvent
    extends ShopEvent
    implements org.bukkit.event.Cancellable

Called when a player opens a shop (clicks on a chest)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`ShopOpenEvent(org.bukkit.entity.Player player, Shop shop)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancel)`

### Methods inherited from class de.epiceric.shopchest.event.ShopEvent

`getHandlerList, getHandlers, getPlayer, getShop`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopOpenEvent

    public ShopOpenEvent(org.bukkit.entity.Player player,
                         Shop shop)

### Method Detail

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancel)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`